Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Contacts

Update Contact by Locator

PATCH
/v1/contacts/by

Provide exactly one contact locator:

  • external_id
  • secondary_external_id
  • email_address
  • sms_phone_number
  • whatsapp_phone_number
  • facebook_user_id
  • instagram_user_id
  • postal_address

Custom fields can be written as additional top-level properties using each custom field key. Values are validated against the field definitions returned by List Custom Fields.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

external_id?||

Identifier assigned by an external system.

secondary_external_id?||

Secondary identifier assigned by an external system.

email_address?|

Filters resources by email address.

sms_phone_number?|

Filters resources by sms phone number.

whatsapp_phone_number?|

Filters resources by whatsapp phone number.

facebook_user_id?|

Unique identifier of the related facebook user.

instagram_user_id?|

Unique identifier of the related instagram user.

postal_address?|

Filters resources by postal address.

include_details?array<string>

Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar.

Itemsitems <= 10

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

full_name?|

Full Name value for this resource.

salutation?|

Salutation value for this resource.

birthday?|

Birthday value for this resource.

description?|

Human-readable description of the resource.

external_id?|

Identifier assigned by an external system.

secondary_external_id?|

Secondary identifier assigned by an external system.

address_line1?|

Address Line1 value for this resource.

address_line2?|

Address Line2 value for this resource.

city?|

City value for this resource.

zipcode?|

Zipcode value for this resource.

country?|

Country value for this resource.

[key: string]?unknown

Response Body

application/json

curl -X PATCH "https://api.getmateo.com/v1/contacts/by" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "display_name": "string",  "full_name": "string",  "salutation": "string",  "birthday": "2019-08-24T14:15:22Z",  "description": "string",  "external_id": "string",  "secondary_external_id": "string",  "address_line1": "string",  "address_line2": "string",  "city": "string",  "zipcode": "string",  "country": "string",  "is_blocked": true,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "property1": null,  "property2": null}